//************************************************************************* 
//  PlanarTrack.h  - 4/14/2008-popravljeno 8/3/2012 za HRS-L
// 
//  by miham
// 
//  This class handles Track projections in projection view
//
//************************************************************************* 
 
#ifndef ROOT_PlanarTrack
#define ROOT_PlanarTrack

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TLatex.h"
#include "TLine.h"
#include "TEllipse.h"
#include "CStransform.h"


class PlanarTrack {
  
public:
  PlanarTrack();
  virtual ~PlanarTrack();
  void DrawMe(CStransform *cVDC1, double xVDC1, double yVDC1, CStransform *cVDC2, double xVDC2, double yVDC2, CStransform *cS1, double xS1, double yS1, CStransform   *cCHER, double xCHER, double yCHER, CStransform *cS2m, double xS2m, double yS2m, CStransform *cCAL1, double xCAL1, double yCAL1, CStransform *cCAL2, double xCAL2,  double yCAL2);
  void Clear();
protected:
  TLine *lineA;
  TLine *lineB;
  TLine *lineC;
  TLine *lineD;
  TLine *lineE;
  TLine *lineF;
  TLine *lineG;
  TLine *lineH;
  
};

#endif
