

//************************************************************************* 
//  VDCChamber.h  - 4/14/2008  (7/25/2012 - for vdc by tadejd)
// 
//  by miham
// 
//  This class is used to create planar view of the VDC.
//
//
//*************************************************************************   
#ifndef ROOT_VDCChamber
#define ROOT_VDCChamber

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TLatex.h"
#include "TLine.h"
#include "TEllipse.h"
#include "CStransform.h"
#include "EVe_DB.h"

class VDCChamber {
  
public:
  VDCChamber(char *ime, int n, double Length, double Hight, CStransform *cst, double offset);
  virtual ~VDCChamber();
  void uWireHit(int i);
  void vWireHit(int i);
  void clear();
  void Track(double x, double y, int i);

protected:
  int Num; 
  TPolyLine *okvir;
  TPolyLine *okvir2;
  TLine *u_wires[1000];
  TLine *v_wires[1000];
  TLatex *title;
  CStransform *cst;
  double fa,fb;
 
  TEllipse *u_circ;
  TEllipse *v_circ;

  TEllipse *track_circ[MAX_TRACK_NUM];

};

#endif
